\begin{sheetexercise}
\begin{enumerate}
\item (\textit{2 points}) Let $f\colon A\to B$ be a homomorphism of abelian groups. Construct natural maps $H_n(X;A)\to H_n(X;B)$ for all topological spaces $X$ and all $n\ge0$.
\item (\textit{8 points}) Now let $0\to A\to B\to C\to 0$ be a short exact sequence of abelian groups. Extend the construction from the previous subtask to a natural long exact sequence
\begin{equation*}
\cdots\to H_n(X;A)\to H_n(X;B)\to H_n(X;C)\xrightarrow\del H_{n-1}(X;A)\to\cdots
\end{equation*}
for every topological space $X$.
\end{enumerate}
\end{sheetexercise}

\begin{sheetexercise}
(\textit{10 points}) Let $n\ge 1$, $k\ge 0$, and let $X$ be any topological space. Construct a natural short exact sequence
\begin{equation*}
0 \to H_k(X;\mathbb Z)/nH_k(X;\mathbb Z)\to H_k(X;\mathbb Z/n\mathbb Z)\to H_{k-1}(X;\mathbb Z)[n]\to0
\end{equation*}
where for an abelian group $A$ we write $A[n]\mathrel{:=}\{a\in A: na=0\}$, and we for convenience set $H_{-1}(X;\mathbb Z)=0$.

\textbf{Hint.} Use the previous exercise.
\end{sheetexercise}

\begin{sheetexercise}
(\textit{$\it8+\it2$ points}) Let $X$ be a CW-complex and let $p\colon Y\to X$ be covering. Give $Y$ a CW-structure such that $p$ is cellular. Use your cell structure to show that if $X$ is finite and $p$ is a $d$-sheeted covering ($d<\infty$), then $Y$ is again finite and $\chi(Y)=d\cdot\chi(X)$.
\end{sheetexercise}

\begin{sheetexercise} Let $R$ be a ring and let $M$ be a left $R$-module. Consider the functor $\Hom_R(\blank,M)\colon\Mod_R^\op\to\cat{Ab}$ sending a left $R$-module $N$ to the abelian group (under addition) of $R$-module homomorphisms $N\to M$.
\begin{enumerate}
\item (\textit{$\it5+\it2$ points}) Show that if $A\to B\to C\to 0$ is an exact sequence of left $R$-modules, then also the induced sequence $\Hom_R(A,M)\gets\Hom_R(B,M)\gets\Hom_R(C,M)\gets 0$ is exact.

Does $\Hom_R$ preserve short exact sequences?
\item (\textit{3 points}) Let $C_\bullet,D_\bullet$ be chain complexes of $R$-modules, and let $f,g\colon C_\bullet\to D_\bullet$ be chain homotopic. Show that $\Hom_R(f,M), \Hom_R(g,M)\colon\Hom_R(D_\bullet,M)\to\Hom_R(C_\bullet,M)$ are again chain homotopic.
\end{enumerate}
\end{sheetexercise}

\begin{sheetexercise*}\textit{Remember that you still have time to do the bonus exercise from last week's sheet!}
\end{sheetexercise*}
